Subject: Re: bug#25371: sed-4.3: Build fails when build in a separate directory and --disable-dependency-tracking is used.

From: Assaf Gordon <[email-masked]>
Date: Sat, 7 Jan 2017 00:24:06 -0500

Hi,

> On Jan 6, 2017, at 10:16, Assaf Gordon <[email-masked]> wrote:
> 
> On 01/05/2017 08:34 PM, Juan Manuel Guerrero wrote:
>> I have tried to build sed in a separate build directory using the option
>> --disable-dependency-tracking.
> 
> Creating the directories manually is sufficient to work-around this, e.g.:
> [...]
>    mkdir lib sed
> [...]
> So we can easily add similar commands for 'sed' and 'lib' directories
> (I'm just looking for the optimal place to add this).

I came up with this (creating the subdirs from 'configure').
This works in and out of tree, and with --disable-dependency-tracking.

Jim,
What do you think?
I couldn't find a simple target in the makefile that would create the subdirectories before anything else, yet not force a rebuild of everything every time.
For comparison, in 'coreutils' there is
   $(AM_V_at)${MKDIR_P} src
repeated several times in src/local.mk.

Comments welcomed,
 - assaf